libzypp 17.37.10

zyppng::operators::detail::progress_helper< progress_helper_mode::Start > Struct Reference

`#include <zypp-core/zyppng/ui/progressobserver.h>`

## Public Member Functions
| progress_helper (ProgressObserverRef &&progressObserver)
template<typename T>
auto | operator() (T &&t)
void | operator() ()
void | update ()

## Private Attributes
ProgressObserverRef | _progressObserver
std::optional< std::string > | _newString
double | _progressInc

## Detailed Description

Definition at line 168 of file progressobserver.h.

## Constructor & Destructor Documentation

## ◆ progress_helper()

zyppng::operators::detail::progress_helper< progress_helper_mode::Start >::progress_helper | ( | ProgressObserverRef && | progressObserver | ) |
| inline

Definition at line 170 of file progressobserver.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T>

auto zyppng::operators::detail::progress_helper< progress_helper_mode::Start >::operator() | ( | T && | t | ) |
| inline

Definition at line 174 of file progressobserver.h.

## ◆ operator()() [2/2]

void zyppng::operators::detail::progress_helper< progress_helper_mode::Start >::operator() | ( |  | ) |
| inline

Definition at line 179 of file progressobserver.h.

## ◆ update()

void zyppng::operators::detail::progress_helper< progress_helper_mode::Start >::update | ( |  | ) |
| inline

Definition at line 183 of file progressobserver.h.

## Member Data Documentation

## ◆ _progressObserver

ProgressObserverRef zyppng::operators::detail::progress_helper< progress_helper_mode::Start >::_progressObserver
| private

Definition at line 188 of file progressobserver.h.

## ◆ _newString

std::optional<std::string> zyppng::operators::detail::progress_helper< mode >::_newString
| private

Definition at line 163 of file progressobserver.h.

## ◆ _progressInc

double zyppng::operators::detail::progress_helper< mode >::_progressInc
| private

Definition at line 164 of file progressobserver.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/ui/progressobserver.h